[flex-center] {
    display: flex;
    align-items: center;
    justify-content: center;
}

[flex-around] {
    display: flex;
    align-items: center;
    justify-content: space-around;
}

[flex-between] {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

[flex-shrink] {
    flex-shrink: 0;
}

[flex-align="start"] {
    align-items: start;
}

[flex-align="end"] {
    align-items: end;
}

[flex="auto"] {
    flex: auto;
}

[textLine="1"] {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

[textLine="2"] {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

[textLine="3"] {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

[textLine="4"] {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
}

html,
body {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    position: relative;
    background: #DDCD78;
    font-family: 'Shantell Sans 400';
}

* {
    box-sizing: border-box;
}

a {
    display: block;
    text-decoration: none;
}

a img {
    display: block;
}

.news_img {
    object-fit: cover;
}

#app {
    width: 100%;
}

/* header strat */
header {
    height: 2.7188rem;
    padding: 0 .625rem;
    background: #C8513D;
    position: relative;
}

header .back,
header .back img {
    width: .625rem;
    height: .9375rem
}

header .logo {
    font-family: 'Luckiest Guy 400';
    color: #FFFFFF;
    font-size: 1.25rem;
    -webkit-text-stroke: .0625rem #3C3C54;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

header .search {
    width: .875rem;
    height: 1rem;
}

header .menu {
    width: 1.125rem;
    height: 1.125rem;
    margin-left: .7188rem;
}

/* header end */

/* search  start*/

.search_box input {
    font-family: 'Roboto 400', sans-serif;
    margin: 1.8125rem auto 1.375rem;
    width: 18.75rem;
    height: 2.38rem;
    border-radius: 1.19rem;
    background: #DAD6CA;
    border: .0313rem solid #5C4C42;
    font-size: 0.88rem;
    padding: 0 .75rem;
    color: #5C4C42;
    outline: none;
    display: block;
}

.search_box input::placeholder {
    color: #5C4C42;
    font-family: 'Roboto 400', sans-serif;
}

/* search end */
footer {
    text-align: center;
    font-size: .75rem;
    line-height: 1rem;
    --tw-text-opacity: 1;
    color: #5C4C42;
    font-family: 'Roboto 400', sans-serif;
    padding: 1rem 0;
    border-top: 1px solid rgba(77, 77, 77, 0.3);
}

footer div:nth-child(1) {
    margin-bottom: 0.5rem;
}

footer span {
    margin: 0 0.625rem;
    opacity: 0.7;
    font-size: 0.75rem;
}

footer a {
    color: #5C4C42;
    text-transform: uppercase;
    font-size: .75rem;
    letter-spacing: 0.03em;
    font-family: 'Roboto 400', sans-serif;
}

/* menu */
.menu_pannel {
    display: none;
    position: fixed;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    max-width: 450px;
    height: 100vh;
    width: 100%;
    z-index: 10;
    overflow-y: scroll;
    background: #DDCD78;
}

.menu_pannel .back {
    width: .625rem;
    height: .9375rem
}

.menu_pannel .menu_info {
    padding: 2.3438rem .875rem 0;
    height: 9.1875rem;
    font-family: 'Shantell Sans 400';
    color: #5C4C42;
    font-size: 1.5625rem;
    position: relative;
    text-align: right;
}

.menu_pannel .menu_info .menu_dog {
    width: 5.6563rem;
    height: 7.375rem;
    position: absolute;
    left: 1.875rem;
    bottom: -0.5rem;
}

.menu_pannel .menu_container {
    width: 100%;

    padding: 4.1875rem 1.875rem 4.6875rem;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 1.6669rem;
    row-gap: 1rem;
    background-image: url(../resources/menu_bg.webp);
    background-size: 100% 100%;
}

.menu_pannel .menu_container .menu_item {
    display: grid;
    grid-template-columns: 2.0625rem 1fr;
    align-items: center;
    column-gap: .4169rem;

}

.menu_pannel .menu_container .menu_item .order {
    width: 2.0625rem;
    height: 2.0625rem;
    border-radius: 50%;
    border: .0625rem solid #000000;
    font-family: 'Luckiest Guy 400';
    color: #C8513D;
    font-size: 1.5rem;
}

.menu_pannel .menu_container .cat_name {
    color: #5C4C42;
    font-size: .9375rem;
}